a13nDocs
API 参考定时计划

暂停定时任务

POST/api/v1/schedules/{schedule_id}/pause

认证与授权

认证与授权Bearer <token>

工作空间 API 密钥(a13n_...)

传递位置: header

路径参数

schedule_id*Schedule Id

请求头参数

If-Match?|

资源 ETag:当前视图的 "{id}:{version}",模型为 "{key}:{version}"

X-Workspace-ID?|

登录会话作用的工作空间 ID,登录会话必须提供。API 密钥作用于自身工作空间,无需提供;禁止指定其他工作空间。

请求体

application/json

TypeScript 类型定义

在 TypeScript 中使用 request body 类型。

操作不接受配置或权限覆盖。

响应体

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/schedules/string/pause" \  -H "Content-Type: application/json" \  -d '{}'
{  "archived_at": "2019-08-24T14:15:22Z",  "created_at": "2019-08-24T14:15:22Z",  "created_by_id": "string",  "description": "string",  "id": "string",  "invocation": {    "agent_id": "string",    "agent_revision_id": "string",    "memories": [],    "options": {      "configuration": {        "allowed_hosts": [          "string"        ],        "extensions": {          "property1": null,          "property2": null        }      },      "context": {        "headers": {          "property1": "string",          "property2": "string"        }      },      "execution": {        "environment": {          "property1": "string",          "property2": "string"        },        "steering": "boundary",        "tools": {          "foreground_wait_seconds": 0,          "mode": "inline"        }      },      "labels": {        "property1": "string",        "property2": "string"      },      "max_usage": {        "requests": 1      },      "overrides": {        "builtin_skills": [          "platform-operations"        ],        "client_tools": [          {            "description": "string",            "instruction": "string",            "metadata": {              "property1": null,              "property2": null            },            "name": "string",            "parameters_json_schema": {              "property1": null,              "property2": null            },            "permission": "inherit"          }        ],        "connection_tools": [          {            "connection_id": "string",            "permission": "inherit",            "permissions": {              "property1": "allow",              "property2": "allow"            },            "tools": [              "string"            ]          }        ],        "instructions": "string",        "lazy_environment": true,        "media_understanding": {          "audio": "string",          "image": "string",          "video": "string"        },        "model": "string",        "model_characteristics": {          "compact_threshold": 0.9,          "context_window_tokens": 1,          "proactive_context_management_threshold": 0.65        },        "model_settings": {          "property1": null,          "property2": null        },        "output_spec": {          "description": "string",          "name": "string",          "resources": {},          "schema": {            "property1": null,            "property2": null          },          "variants": [            {              "description": "string",              "name": "string",              "resources": {},              "schema": {                "property1": null,                "property2": null              }            },            {              "description": "string",              "name": "string",              "resources": {},              "schema": {                "property1": null,                "property2": null              }            }          ]        },        "plugins": [          {            "config": {              "property1": null,              "property2": null            },            "instance_name": "string",            "plugin_key": "string"          }        ],        "retries": {          "output": 0,          "tools": 0        },        "reviewer": {          "instruction": "string",          "model": "string",          "model_settings": {            "property1": null,            "property2": null          },          "on_error": "deny",          "on_flagged": "deny",          "risk_threshold": "low",          "rules": {            "property1": {              "on_flagged": "deny",              "risk_threshold": "low"            },            "property2": {              "on_flagged": "deny",              "risk_threshold": "low"            }          },          "shell_instruction": "string",          "timeout_seconds": 120        },        "skill_sync": {          "cleanup": false,          "mode": "shared",          "overwrite": true        },        "skills": [          {            "revision_id": "string",            "skill_id": "string"          }        ],        "subagents": {},        "tool_search": {          "config": {            "call_name": "call_tool",            "describe_name": "describe_tool",            "groups_name": "list_tool_groups",            "list_name": "list_tools",            "max_results": 10,            "max_search_bytes": 32768,            "mode": "proxy",            "search_name": "discover_tools"          },          "groups": {            "property1": {              "capabilities": [],              "connections": [],              "description": "string",              "platform": false,              "plugins": []            },            "property2": {              "capabilities": [],              "connections": [],              "description": "string",              "platform": false,              "plugins": []            }          }        },        "toolsets": {          "property1": {            "config": {              "property1": null,              "property2": null            },            "enabled": true,            "tools": {}          },          "property2": {            "config": {              "property1": null,              "property2": null            },            "enabled": true,            "tools": {}          }        }      }    },    "payload": {      "content": [        {          "text": "string",          "type": "text"        }      ]    }  },  "labels": {    "property1": "string",    "property2": "string"  },  "max_lateness_seconds": 300,  "name": "string",  "pause_reason": "manual",  "principal_id": "string",  "schedule": {    "expression": "string",    "timezone": "string",    "type": "cron"  },  "session_id": "string",  "state": "paused",  "stream_url": "string",  "target": {    "mode": "new_thread",    "session_id": "string",    "thread_id": "string"  },  "updated_at": "2019-08-24T14:15:22Z",  "updated_by_id": "string",  "version": 0,  "workspace_id": "string"}